unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  BusinessSkinForm, bsSkinCtrls, ChildUnit, Menus, bsSkinData,
  bsTrayIcon, ImgList, StdCtrls, bsUtils, bsSkinShellCtrls, bsSkinHint;

type
  TForm1 = class(TForm)
    bsSkinMainMenuBar1: TbsSkinMainMenuBar;
    MainMenu1: TMainMenu;
    N12: TMenuItem;
    NewItem: TMenuItem;
    LoadSkinItem: TMenuItem;
    N23: TMenuItem;
    CloseItem: TMenuItem;
    Windows1: TMenuItem;
    CloseAll1: TMenuItem;
    N1: TMenuItem;
    TileItem: TMenuItem;
    CascadeItem: TMenuItem;
    bsSkinData1: TbsSkinData;
    bsTrayIcon1: TbsTrayIcon;
    ImageList1: TImageList;
    bsCompressedStoredSkin1: TbsCompressedStoredSkin;
    N2: TMenuItem;
    bsSkinStatusBar1: TbsSkinStatusBar;
    bsSkinStatusPanel1: TbsSkinStatusPanel;
    OD: TbsOpenSkinDialog;
    bsSkinHint1: TbsSkinHint;
    TileVertical1: TMenuItem;
    N3: TMenuItem;
    DblClickChildMove1: TMenuItem;
    Tabsasbuttons1: TMenuItem;
    Showclosebuttons1: TMenuItem;
    bsBusinessSkinForm1: TbsBusinessSkinForm;
    bsSkinMDITabsBar1: TbsSkinMDITabsBar;
    Showchildicons1: TMenuItem;
    procedure NewItemClick(Sender: TObject);
    procedure LoadSkinItemClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Noskin1Click(Sender: TObject);
    procedure CloseItemClick(Sender: TObject);
    procedure CloseAll1Click(Sender: TObject);
    procedure TileItemClick(Sender: TObject);
    procedure CascadeItemClick(Sender: TObject);
    procedure bsSkinMDITabsBar1TabMouseEnter(MDITab: TbsMDITab);
    procedure bsSkinMDITabsBar1TabMouseLeave(MDITab: TbsMDITab);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure TileVertical1Click(Sender: TObject);
    procedure DblClickChildMove1Click(Sender: TObject);
    procedure Tabsasbuttons1Click(Sender: TObject);
    procedure Showclosebuttons1Click(Sender: TObject);
    procedure bsSkinMDITabsBar1AddButtonClick(Sender: TObject);
    procedure Showchildicons1Click(Sender: TObject);
  private
    { Private declarations }
    Count: integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  FirstTime: Boolean;

implementation
   Uses ShellAPI;
   
{$R *.DFM}

procedure TForm1.NewItemClick(Sender: TObject);
var
  Child: TChildForm;
begin
  Inc(Count);
  Child := TChildForm.Create(Self);
  Child.Caption := Child.Caption + ' ' + IntToStr(Count);
end;

procedure TForm1.LoadSkinItemClick(Sender: TObject);
var
  Ext: String;
begin
  if OD.Execute
  then
    begin
      Ext := ExtractFileExt(OD.FileName);
      if LowerCase(Ext) = '.ini'
      then
        bsSkinData1.LoadFromFile(OD.FileName)
      else
      if LowerCase(Ext) = '.skn'
      then
        bsSkinData1.LoadFromCompressedFile(OD.FileName);
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  Path: String;
begin
  Path := ExtractFilePath(ParamStr(0));
  OD.InitialDir := Path;
  Count := 0;
  FirstTime := True;
end;

procedure TForm1.Noskin1Click(Sender: TObject);
begin
  bsSkinData1.ClearSkin;
end;

procedure TForm1.CloseItemClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.CloseAll1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.CloseAll;
end;

procedure TForm1.TileItemClick(Sender: TObject);
begin
  bsBusinessSkinForm1.TileMode := tbHorizontal;
  bsBusinessSkinForm1.Tile;
end;

procedure TForm1.CascadeItemClick(Sender: TObject);
begin
  bsBusinessSkinForm1.Cascade;
end;

procedure TForm1.bsSkinMDITabsBar1TabMouseEnter(MDITab: TbsMDITab);
begin
  bsSkinStatusPanel1.Caption := MDITab.Child.Caption;
end;

procedure TForm1.bsSkinMDITabsBar1TabMouseLeave(MDITab: TbsMDITab);
begin
  bsSkinStatusPanel1.Caption := '';
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  if not FirstTime then Exit;
  NewItemClick(Self);
  NewItemClick(Self);
  NewItemClick(Self);
  FirstTime := False;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form1.Caption := '1';
end;

procedure TForm1.TileVertical1Click(Sender: TObject);
begin
  bsBusinessSkinForm1.TileMode := tbVertical;
  bsBusinessSkinForm1.Tile;
end;

procedure TForm1.DblClickChildMove1Click(Sender: TObject);
begin
  DblClickChildMove1.Checked := not DblClickChildMove1.Checked;
  bsSkinMDITabsBar1.DblClickChildMove := DblClickChildMove1.Checked;
end;

procedure TForm1.Tabsasbuttons1Click(Sender: TObject);
begin
  Tabsasbuttons1.Checked := not Tabsasbuttons1.Checked;
  if Tabsasbuttons1.Checked
  then
    bsSkinMDITabsBar1.TabKind := bstkButton
  else
    bsSkinMDITabsBar1.TabKind := bstkTab;
  bsSkinMDITabsBar1.Repaint;
end;

procedure TForm1.Showclosebuttons1Click(Sender: TObject);
begin
  Showclosebuttons1.Checked := not Showclosebuttons1.Checked;
  bsSkinMDITabsBar1.ShowCloseButtons := Showclosebuttons1.Checked;
  bsSkinMDITabsBar1.Repaint;
end;

procedure TForm1.bsSkinMDITabsBar1AddButtonClick(Sender: TObject);
begin
   NewItemClick(Self);
end;

procedure TForm1.Showchildicons1Click(Sender: TObject);
begin
  ShowChildIcons1.Checked := not ShowChildIcons1.Checked;
  bsSkinMDITabsBar1.ShowChildIcon := ShowChildIcons1.Checked;
  bsSkinMDITabsBar1.Repaint;
end;

end.
